## installsystems-9e8fc553c00db5937623c0cb79793765a994f080.zip

=== Makefile ===
## Makefile

.PHONY: all tar deb clean cleanbuild buildd dsc

NAME=installsystems
VERSION=$(shell sed -rn 's/version = "([^"]+)"/\1/p' installsystems/__init__.py)
BUILD_DIR=__build__
DISTRO=squeeze

all:
	echo all is better than nothing

$(NAME)-$(VERSION).tar.gz:
	git archive --prefix=$(NAME)-$(VERSION)/ HEAD | gzip -9 > $(NAME)-$(VERSION).tar.gz

tar: cleantar $(NAME)-$(VERSION).tar.gz

dsc: cleanbuild $(NAME)-$(VERSION).tar.gz
	mkdir $(BUILD_DIR)
	tar xfC $(NAME)-$(VERSION).tar.gz $(BUILD_DIR)
	cd $(BUILD_DIR) && dpkg-source -I -b $(NAME)-$(VERSION)

deb: cleanbuild $(NAME)-$(VERSION).tar.gz
	mkdir $(BUILD_DIR)
	tar xfC $(NAME)-$(VERSION).tar.gz $(BUILD_DIR)
	cd $(BUILD_DIR)/$(NAME)-$(VERSION) && dpkg-buildpackage --source-option=-I -us -uc

buildd: dsc
	chmod 644 $(BUILD_DIR)/$(NAME)_*.dsc $(BUILD_DIR)/$(NAME)_*.gz
	scp $(BUILD_DIR)/$(NAME)_*.dsc $(BUILD_DIR)/$(NAME)_*.gz incoming@buildd.fr.lan:$(DISTRO)

clean: cleantar cleanbuild

cleanbuild:
	-rm -rf  $(BUILD_DIR)

cleantar:
	-rm -f $(NAME)-*.tar.gz

=== debian/control ===
Source: installsystems
Section: python
Priority: optional
Maintainer: Sebastien Luttringer <sebastien.luttringer@smartjog.com>
Build-Depends: debhelper (>= 7), python-central (>= 0.6), cdbs (>= 0.4.50), python-setuptools
XS-Python-Version: >= 2.6
Standards-Version: 3.9.1

Package: installsystems
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-installsystems (>= ${source:Version})
XB-Python-Version: ${python:Versions}
Description: InstallSytems Installer
 InstallSystems command line tool

Package: python-installsystems
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-paramiko, python-argparse
XB-Python-Version: ${python:Versions}
Description: InstallSystems Python modules
 This package provides InstallSystems framework
